<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_211) on Fri May 03 19:11:23 MSK 2019 -->
<title>Box</title>
<meta name="date" content="2019-05-03">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Box";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/box/Box.html" target="_top">Frames</a></li>
<li><a href="Box.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.mail.korneva.box</div>
<h2 title="Class Box" class="title">Class Box</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ru.mail.korneva.box.Box</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Box</span>
extends java.lang.Object</pre>
<div class="block">created by korneva on 25.04.2019</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#Box-int-">Box</a></span>(int&nbsp;SIZE)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#findByFigure-ru.mail.korneva.figure.Figure-">findByFigure</a></span>(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;figure)</code>
<div class="block">найти по образцу</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/box/Box.html" title="class in ru.mail.korneva.box">Box</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getAllCircle--">getAllCircle</a></span>()</code>
<div class="block">достать все круги</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/box/Box.html" title="class in ru.mail.korneva.box">Box</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getAllFilm--">getAllFilm</a></span>()</code>
<div class="block">достать все пленочные фигуры</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getCount--">getCount</a></span>()</code>
<div class="block">считаем количество фигур в коробке</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getCountCircle--">getCountCircle</a></span>()</code>
<div class="block">посчитать все круги</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getCountFilm--">getCountFilm</a></span>()</code>
<div class="block">посчитать все пленочные фигуры</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getFigure-int-">getFigure</a></span>(int&nbsp;index)</code>
<div class="block">возвращаем фигуру по ее порядковому номеру(фигура остается в коробке)</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getSumArea--">getSumArea</a></span>()</code>
<div class="block">посчитать суммарную площадь</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#getSumPerimeter--">getSumPerimeter</a></span>()</code>
<div class="block">посчитать суммарный периметр</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#removeFigure-int-">removeFigure</a></span>(int&nbsp;index)</code>
<div class="block">извлечение фигуры по номеру(удаляется из коробки)</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/box/Box.html#setFigure-int-ru.mail.korneva.figure.Figure-">setFigure</a></span>(int&nbsp;index,
         <a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;figure)</code>
<div class="block">фигура помещается в коробку</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Box-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Box</h4>
<pre>public&nbsp;Box(int&nbsp;SIZE)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setFigure-int-ru.mail.korneva.figure.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFigure</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;setFigure(int&nbsp;index,
                        <a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;figure)</pre>
<div class="block">фигура помещается в коробку</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
<dd><code>figure</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getFigure-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigure</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;getFigure(int&nbsp;index)</pre>
<div class="block">возвращаем фигуру по ее порядковому номеру(фигура остается в коробке)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="removeFigure-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFigure</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;removeFigure(int&nbsp;index)</pre>
<div class="block">извлечение фигуры по номеру(удаляется из коробки)</div>
</li>
</ul>
<a name="getCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCount</h4>
<pre>public&nbsp;int&nbsp;getCount()</pre>
<div class="block">считаем количество фигур в коробке</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="findByFigure-ru.mail.korneva.figure.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByFigure</h4>
<pre>public&nbsp;boolean&nbsp;findByFigure(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;figure)</pre>
<div class="block">найти по образцу</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>figure</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getCountCircle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCountCircle</h4>
<pre>public&nbsp;int&nbsp;getCountCircle()</pre>
<div class="block">посчитать все круги</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getAllCircle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllCircle</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/box/Box.html" title="class in ru.mail.korneva.box">Box</a>&nbsp;getAllCircle()</pre>
<div class="block">достать все круги</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getCountFilm--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCountFilm</h4>
<pre>public&nbsp;int&nbsp;getCountFilm()</pre>
<div class="block">посчитать все пленочные фигуры</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getAllFilm--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllFilm</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/box/Box.html" title="class in ru.mail.korneva.box">Box</a>&nbsp;getAllFilm()</pre>
<div class="block">достать все пленочные фигуры</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getSumArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumArea</h4>
<pre>public&nbsp;double&nbsp;getSumArea()</pre>
<div class="block">посчитать суммарную площадь</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getSumPerimeter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSumPerimeter</h4>
<pre>public&nbsp;double&nbsp;getSumPerimeter()</pre>
<div class="block">посчитать суммарный периметр</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/box/Box.html" target="_top">Frames</a></li>
<li><a href="Box.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
